<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myDriverLabel" jhiTranslate="mpmApp.driver.home.createOrEditLabel">Create or edit a Driver</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <!-- <div class="form-group" [hidden]="!driver.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                [(ngModel)]="driver.id" readonly />
        </div> -->
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.driver.idDriver" for="field_idDriver">Id Driver</label>
            <input type="text" class="form-control" name="idDriver" id="field_idDriver"
                [(ngModel)]="driver.idDriver"  />
        </div>
        <jhi-person-view [person]="driver.person" [viewHiddenWorkType]="1"></jhi-person-view>
        <div class="form-group">
            <label class="form-control-label" for="vendor">Status</label>
            <p-inputSwitch [(ngModel)]="driver.externalDriver" (onChange)="status()" onLabel="External" offLabel="Internal" name="vendor" id="vendor"></p-inputSwitch>
        </div>
        <div [hidden]="!driver.externalDriver">
            <p-dataTable
                [value]="vendors"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                selectionMode="single"
                [(selection)]="selectVendor">
                <p-header>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.vendor.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vendor.idVendor'|translate}}" [style]="{'width': '90px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idVendor}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vendor.party'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.organization.name}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
